All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics
Class ESRIMapMenuFactory

    com.sas.servlet.tbeans.graphics.ESRIMapMenuFactory

    public class ESRIMapMenuFactory

Creates user-interface components based on action definitions.

A separate factory method is provided for the instantiation of each ui-component, so that applications have the ability to use their own ui-component subclasses. See `newMenuBar()` et al.

Methods that map ui-components back to the actions that they were created from are provided, so that applications can readily resync views with models. See `getAction(MenuBarInterface)` et al.

Sample usage:

Constructor Summary
`ESRIMapMenuFactory()`
`ESRIMapMenuFactory(BaseESRIMapChart map)`

Method Summary
`void` | `populateMenuBar(BaseMenuBar menuBar, com.sas.swing.util.ActionList actionList, boolean encodeText, boolean escapeAmpersand)` Populates a menu bars with the actions from the given `ActionList`.

Constructor Detail

### ESRIMapMenuFactory

    public ESRIMapMenuFactory(BaseESRIMapChart map)

### ESRIMapMenuFactory

    public ESRIMapMenuFactory()

Method Detail

### populateMenuBar

    public void populateMenuBar(BaseMenuBar menuBar,
                                com.sas.swing.util.ActionList actionList,
                                boolean encodeText,
                                boolean escapeAmpersand)

  Populates a menu bars with the actions from the given `ActionList`.

  Overrides:
    `populateMenuBar` in class `com.sas.servlet.tbeans.util.ActionUIFactory`
  Parameters:
    `menuBar` - the instance of the menu bar to have the actions added to
    `encodeText` - true if label is to be encoded
    `actionList` - the list of actions to add to the menu bar; each top-level item in `actionList.getActions()` must itself be an `ActionList`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.